kind: pipeline
name: default

steps:
- name: build
  image: node
  commands:
  - npm install
  - npm run buildProd
  - mkdir build
  - tar -czvf build/bundle.tar.gz dist
  
- name: gitea_release
  image: plugins/gitea-release
  settings:
    api_key: 
      from_secret: GITEA_API_KEY
    base_url: https://git.kapelle.org
    files:
    - build/*
    checksum:
    - md5
    - sha1
    - sha256
  when:
    event: 
    - tag

trigger:
  event:
  - tag
